/*!
 * Font Awesome Free 6.2.0 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
 * Copyright 2022 Fonticons, Inc.
 */

$fa-font-path: '~@fortawesome/fontawesome-free/webfonts';

@import '~@fortawesome/fontawesome-free/scss/fontawesome';
@import '~@fortawesome/fontawesome-free/scss/solid';
@import '~@fortawesome/fontawesome-free/scss/brands';
@import '~@fortawesome/fontawesome-free/scss/regular';

// Solid style of user icon
.user {
    @extend %fa-icon;
    @extend .fa-solid;

    &:before {
        content: fa-content($fa-var-user);
    }
}

// Twitter brand icon
.twitter {
    @extend %fa-icon;
    @extend .fa-brands;

    &:before {
        content: fa-content($fa-var-twitter);
    }
}
